package com.qmth.sop.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.boot.api.exception.ApiException;
import com.qmth.sop.business.bean.result.SysLevelResult;
import com.qmth.sop.business.entity.SysLevel;
import com.qmth.sop.business.entity.SysUser;
import com.qmth.sop.business.mapper.SysLevelMapper;
import com.qmth.sop.business.service.SysLevelService;
import com.qmth.sop.common.contant.SystemConstant;
import com.qmth.sop.common.util.ResultUtil;
import com.qmth.sop.common.util.ServletUtil;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

/**
 * 档位表 服务实现.
 *
 * @author: shudonghui
 * @date: 2023-08-02 14:21:11
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
@Service
public class SysLevelServiceImpl extends ServiceImpl<SysLevelMapper, SysLevel> implements SysLevelService{


		/**
		* 查询列表
		*
		* @param iPage
		* @return
		*/
		@Override
		public IPage<SysLevelResult> query(IPage<Map> iPage) {
				return this.baseMapper.query(iPage);
		}
		/**
		* 新增档位表
		*
		* @param sysLevel
		*/
		@Override
		@Transactional
		public void add(SysLevel sysLevel) {
			SysUser sysUser = (SysUser) ServletUtil.getRequestUser();
			sysLevel.setCreateId(sysUser.getId());
			sysLevel.setCreateTime(System.currentTimeMillis());
			this.saveOrUpdate(sysLevel);
		}

		/**
		* 修改档位表
		*
		* @param sysLevel
		*/
		@Override
		@Transactional
		public void update(SysLevel sysLevel) {
			this.saveOrUpdate(sysLevel);
		}

		/**
		* 删除档位表
		*
		* @param id
		*/
		@Override
		@Transactional
		public void delete(Long id) {
			this.removeById(id);
		}

}